<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAbLogErrorTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('ab_log_error', function(Blueprint $table)
		{
			$table->bigInteger('id')->nullable();
			$table->integer('site_id')->nullable();
			$table->bigInteger('date_orig')->nullable();
			$table->bigInteger('account_id')->nullable();
			$table->string('module', 64)->nullable();
			$table->string('method', 64)->nullable();
			$table->text('message')->nullable();
			$table->unique(['site_id','id']);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('ab_log_error');
	}

}
